Subject: Re: bug#16498: 24.3.50; Support for custom user agents in url.el

From: Ted Zlatanov <[email-masked]>
Date: Mon, 20 Jan 2014 11:08:11 -0500

On Sun, 19 Jan 2014 21:21:43 +0530 Vibhav Pant <[email-masked]> wrote: 

VP> URL currently doesn't support custom user agents. This could be
VP> implemented by adding a defcustom string url-user-agent which could be
VP> changed by the
VP> user.
VP> The default value could be:
VP> (format "User-Agent: %sURL/%s\r\n"
VP>          (if url-package-name
VP>          (concat url-package-name "/" url-package-version " ")
VP>          "") url-version)

VP> I have attached a patch to add support for custom user agents in URL.

I think this makes sense, but it has to wait until after the feature
freeze.

Ted